| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_iir_lattice_instance_q15 Struct Reference

Instance structure for the Q15 IIR lattice filter.

## Data Fields

uint16_t | numStages
q15_t * | pState
q15_t * | pkCoeffs
q15_t * | pvCoeffs

## Field Documentation

uint16_t arm_iir_lattice_instance_q15::numStages

number of stages in the filter.

Referenced by arm_iir_lattice_init_q15(), and arm_iir_lattice_q15().

q15_t* arm_iir_lattice_instance_q15::pkCoeffs

points to the reflection coefficient array. The array is of length numStages.

Referenced by arm_iir_lattice_init_q15(), and arm_iir_lattice_q15().

q15_t* arm_iir_lattice_instance_q15::pState

points to the state variable array. The array is of length numStages+blockSize.

Referenced by arm_iir_lattice_init_q15(), and arm_iir_lattice_q15().

q15_t* arm_iir_lattice_instance_q15::pvCoeffs

points to the ladder coefficient array. The array is of length numStages+1.

Referenced by arm_iir_lattice_init_q15(), and arm_iir_lattice_q15().